Index: src/appl/Makefile.in
--- src/appl/Makefile.in.orig	2004-03-08 08:20:55 +0100
+++ src/appl/Makefile.in	2006-08-27 11:24:46 +0200
@@ -3,5 +3,6 @@
 mydir=.
 BUILDTOP=$(REL)..
 
-LOCAL_SUBDIRS= sample simple user_user gss-sample
+LOCAL_SUBDIRS= gss-sample
+MY_SUBDIRS= gss-sample
 
Index: src/appl/configure
--- src/appl/configure.orig	2006-08-24 02:21:57 +0200
+++ src/appl/configure	2006-08-27 11:24:46 +0200
@@ -315,7 +315,7 @@
 # include <unistd.h>
 #endif"
 
-ac_subdirs_all="$ac_subdirs_all libpty bsd gssftp telnet"
+ac_subdirs_all="$ac_subdirs_all libpty"
 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS EXTRA_FILES CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT HAVE_GCC CPP LD KRB4_INCLUDES KRB4_LIBPATH KRB4_LIB KRB4_DEPLIB KRB_ERR_H_DEP DES425_DEPLIB DES425_LIB compile_et COM_ERR_VERSION SS_LIB SS_VERSION DB_HEADER DB_LIB DB_VERSION DB_HEADER_VERSION KDB5_DB_LIB HESIOD_DEFS HESIOD_LIBS MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CONFIG_RELTOPDIR subdirs build build_cpu build_vendor build_os host host_cpu host_vendor host_os krb5_cv_host acx_pthread_config PTHREAD_CC PTHREAD_LIBS PTHREAD_CFLAGS THREAD_SUPPORT DL_LIB EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA GEN_LIB CC_LINK RPATH_FLAG DEPLIBEXT LIBOBJS LTLIBOBJS'
 ac_subst_files='lib_frag libobj_frag libnover_frag'
 
@@ -7346,7 +7346,7 @@
 
 
 
-subdirs="$subdirs libpty bsd gssftp telnet"
+subdirs="$subdirs libpty"
 
 
            ac_config_files="$ac_config_files ./Makefile:$srcdir/../config/pre.in:./Makefile.in:$srcdir/../config/post.in"
Index: src/config/pre.in
--- src/config/pre.in.orig	2006-06-16 00:21:58 +0200
+++ src/config/pre.in	2006-08-27 11:24:46 +0200
@@ -187,7 +187,7 @@
 INSTALL_SCRIPT=@INSTALL_PROGRAM@
 INSTALL_DATA=@INSTALL_DATA@
 INSTALL_SHLIB=@INSTALL_SHLIB@
-INSTALL_SETUID=$(INSTALL) $(INSTALL_STRIP) -m 4755 -o root
+INSTALL_SETUID=$(INSTALL) $(INSTALL_STRIP) -m 755
 ## This is needed because autoconf will sometimes define @exec_prefix@ to be
 ## ${prefix}.
 prefix=@prefix@
Index: src/lib/krb5/os/hst_realm.c
--- src/lib/krb5/os/hst_realm.c.orig	2006-06-16 08:58:42 +0200
+++ src/lib/krb5/os/hst_realm.c	2006-08-27 11:24:46 +0200
@@ -365,7 +365,7 @@
 	return EAFNOSUPPORT;
     case EAI_MEMORY:
 	return ENOMEM;
-#if EAI_NODATA != EAI_NONAME
+#if (defined EAI_NODATA) && (defined EAI_NONAME) && (EAI_NODATA != EAI_NONAME)
     case EAI_NODATA:
 	return KRB5_EAI_NODATA;
 #endif
Index: src/lib/krb5/os/locate_kdc.c
--- src/lib/krb5/os/locate_kdc.c.orig	2006-05-24 23:19:23 +0200
+++ src/lib/krb5/os/locate_kdc.c	2006-08-27 11:24:46 +0200
@@ -157,7 +157,7 @@
 #ifdef EAI_ADDRFAMILY
     case EAI_ADDRFAMILY:
 #endif
-#if EAI_NODATA != EAI_NONAME
+#if (defined EAI_NODATA) && (defined EAI_NONAME) && (EAI_NODATA != EAI_NONAME)
     case EAI_NODATA:
 #endif
     case EAI_NONAME:
Index: src/util/ss/pager.c
--- src/util/ss/pager.c.orig	2003-01-06 00:28:05 +0100
+++ src/util/ss/pager.c	2006-08-27 11:24:46 +0200
@@ -11,6 +11,7 @@
 #include "copyright.h"
 #include <errno.h>
 #include <stdio.h>
+#include <errno.h>
 #include <sys/types.h>
 #include <sys/file.h>
 #include <signal.h>
Index: src/plugins/kdb/db2/configure
--- src/plugins/kdb/db2/configure.orig	2006-08-27 11:54:48 +0200
+++ src/plugins/kdb/db2/configure	2006-08-27 12:10:15 +0200
@@ -1365,7 +1365,8 @@
 
 
 build_dynobj=no
-enable_shared=yes
+enable_shared=yes
+enable_static=yes
 build_dynobj=yes
 ac_reltopdir="../../.."
 if test ! -r "$srcdir/../../../aclocal.m4"; then
Index: src/plugins/kdb/db2/Makefile.in
--- src/plugins/kdb/db2/Makefile.in.orig	2006-08-24 02:14:09 +0200
+++ src/plugins/kdb/db2/Makefile.in	2006-10-16 09:00:47 +0200
@@ -64,7 +64,10 @@
 	pol_xdr.o \
 	db2_exp.o
 
-all-unix:: $(LIBBASE)$(SO_EXT)
+install-static:
+db2.a: OBJS.ST
+
+all-unix:: $(LIBBASE).a
 install-unix:: install-libs
 clean-unix:: clean-libs clean-libobjs
 
